Page tree
Skip to end of metadata
Go to start of metadata

Before installing the product, verify that the target computers meet the requirements listed in the following table. This section provides release-specific information about requirements and supported resources for the PATROL for PostgreSQL product.

To obtain complete compatibility information for PATROL for PostgreSQL , access the  BMC Solution and Product Availability and Compatibility Utility.

Support for third-party products

To receive full support for a BMC product, you must have that product installed in a supported environment, as specified in the BMC product documentation. If a third-party vendor cancels support for one of its products (such as an operating system or subsystem), and that third-party product integrates or interacts with the BMC product you have licensed, you must upgrade to a supported version of that third-party product before BMC Customer Support can provide you with support for the affected BMC product. For further information, see BMC's product support policy.

This table lists the supported resources for the PATROL for PostgreSQL.

ResourceResource
Operating system
  • Microsoft Windows Server 2012, 64-bit
  • Microsoft Windows Server 2012, R2 64-bit
  • Microsoft Windows Server 2016, 64-bit
  • Microsoft Windows Server 2019, 64-bit
  • Red Hat Enterprise Linux 8.x, x86_64
  • Red Hat Enterprise Linux 7.x, x86_64
  • Red Hat Enterprise Linux 6.x, x86_64
PATROL Agent

9.6.00 and later

PostgreSQL database version
  • 13.0
  • 12.x (up to 12.5)
  • 11.0
  • 10.1
  • 10.0
  • 9.6
  • 9.5

TrueSight Operations Management

  • 11.x
  • 10.x

Java Runtime Environment (JRE)

Supports any of the following Java versions:

  • Oracle Java 8.x
  • OpenJDK 8.x

Note: For the latest announcement on BMC’s Java Support policies for TrueSight monitoring solutions, see Java support for TrueSight monitoring solutions